Name: lazarus
Version: 0.9.28
Release: alt5

Summary: Lazarus Component Library and IDE
License: GPL and modified LGPL
Group: Development/Other
Url: http://www.lazarus.freepascal.org/

Packager: Alexey Shentzev <ashen@altlinux.ru>

Source: %name-%version.tar
Patch1: %name-%version-alt-changes.patch
Patch0: %name-0.9.22-alt-relax-onwine.patch
Patch3: %name-0.9.24-alt-fix-idebar-windowtype.patch

Requires: fpc fpc-src gdb
Requires: glibc-devel glib-devel gdk-pixbuf-devel gtk+-devel libXi-devel libXext-devel libgtk+2-devel
Requires: fonts-bitmap-terminus
Requires: %name-docs = %version
BuildRequires: fpc >= 2.2.4 fpc-utils glibc-devel gdk-pixbuf-devel gtk+-devel libgtk+2-devel libXi-devel desktop-file-utils libXext-devel libXtst-devel

%add_findreq_skiplist %_libdir/%name/examples/*

%description
Lazarus is a free and open source Rapid Application Development tool
for the FreePascal compiler using the Lazarus component library - LCL.
The LCL is included in this package.

%description -l ru_RU.UTF8
Lazarus - свободно-распространяемая, с открытым исходным кодом,
среда для быстрой разработки прикладных программ (Rapid Application
Development tool) на FreePascal, использующая библиотеки компонет LCL
(Lazarus component library).  LCL входят в состав данного пакета.

%package docs
Summary: Lazarus docs
Group: Development/Other
Requires: fpc-docs >= 2.2.4

%description docs
Lazarus docs

%description docs -l ru_RU.UTF8
Документация по Lazarus

%package examples
Summary: Lazarus examples
Group: Development/Other

%description examples
Lazarus examples

%description examples -l ru_RU.UTF8
Примеры программ, созданных с помощью Lazarus

%prep
%setup -n %name
%patch0 -p1
%patch1 -p1
%patch3 -p1
sed -i -e 's,/usr/lib/lazarus/,%_libdir/%name/,g' tools/install/linux/environmentoptions.xml
sed -i -e 's,@version@,%version,g' tools/install/linux/helpoptions.xml docs/index.ru.html

%build
if [ -n "$FPCCfg" ]; then
	  MAKEOPTS=" -n @$FPCCfg"
fi
export LCL_PLATFORM=gtk2
export FPCDIR=%_libdir/fpc
fpcmake -pwr
make bigide tools lazbuilder lcl ideintf packager/registration OPT="$MAKEOPTS"
./lazbuild --ws="$LCL_PLATFORM" tools/lazdatadesktop/lazdatadesktop.lpr
./lazbuild --ws="$LCL_PLATFORM" tools/explorateur_lrs/LRS_Explorer.lpr
./lazbuild --ws="$LCL_PLATFORM" docs/html/build_lcl_docs.lpr
pushd docs/html
./build_lcl_docs --outfmt html
popd

%install
mkdir -p %buildroot{%_bindir,%_libdir/%name,%_datadir/gnome/apps/Development}

cp -aRf * %buildroot%_libdir/%name/

install -pDm644 images/ide_icon48x48.png %buildroot%_pixmapsdir/lazarus.png
install -pDm644 install/lazarus.desktop %buildroot%_desktopdir/lazarus.desktop
install -D -p -m 0644 tools/install/linux/editoroptions.xml %buildroot%_sysconfdir/%name/editoroptions.xml
install -D -p -m 0644 tools/install/linux/environmentoptions.xml %buildroot%_sysconfdir/%name/environmentoptions.xml
install -D -p -m 0644 tools/install/linux/helpoptions.xml %buildroot%_sysconfdir/%name/helpoptions.xml
mkdir -p %buildroot%_man1dir
install -pDm644 install/man/man1/* %buildroot%_man1dir/

ln -sf ../%_lib/%name/lazarus %buildroot%_bindir/lazarus
ln -sf ../%_lib/%name/startlazarus %buildroot%_bindir/startlazarus
ln -sf ../%_lib/%name/lazbuild %buildroot%_bindir/lazbuild
ln -sf ../%_lib/%name/tools/lazdatadesktop/lazdatadesktop %buildroot%_bindir/lazdatadesktop
ln -sf ../%_lib/%name/tools/explorateur_lrs/LRS_Explorer %buildroot%_bindir/LRS_Explorer
ln -sf ../%_lib/%name/tools/apiwizz/apiwizz %buildroot%_bindir/apiwizz
ln -sf ../%_lib/%name/tools/lazres %buildroot%_bindir/lazres
ln -sf ../%_lib/%name/tools/lrstolfm %buildroot%_bindir/lrstolfm
ln -sf ../%_lib/%name/tools/svn2revisioninc %buildroot%_bindir/svn2revisioninc
ln -sf ../%_lib/%name/tools/updatepofiles %buildroot%_bindir/updatepofiles

# fix bug 13256
mkdir -p %buildroot%_datadir/fpcsrc/packages/fcl-base
mkdir -p %buildroot%_datadir/fpcsrc/rtl/inc

#Docs
mv docs/index.html docs/index.en.html
mv docs/index.ru.html docs/index.html

%files
%_sysconfdir/%name/
%_libdir/%name/
%_bindir/*
%_pixmapsdir/lazarus.png
%_desktopdir/lazarus.desktop
#_man1dir/*
%exclude %_libdir/%name/docs
%exclude %_libdir/%name/examples
%exclude %_libdir/%name/debian
%_libdir/%name/tools
%exclude %_libdir/%name/tools/install
# fix bug 13256
%dir %_datadir/fpcsrc/rtl/inc
%dir %_datadir/fpcsrc/packages/fcl-base
%_man1dir/lazarus-ide.*
%_man1dir/lazbuild.*
%_man1dir/startlazarus.*
%_man1dir/lazres.*
%_man1dir/lrstolfm.*
%_man1dir/svn2revisioninc.*
%_man1dir/svn2revisioninc.*
%_man1dir/updatepofiles.*

%files docs
%doc docs/html/lcl/ docs/images/ docs/*.txt docs/*.html docs/*.pdf

%files examples
%_libdir/%name/examples

%changelog
* Mon Nov 16 2009 Alexey Shentzev <ashen@altlinux.ru> 0.9.28-alt5
- ln -sf ../%_lib/%name/tools/lrstolfm %buildroot%_bindir/lrstolfm
- changed release

* Fri Oct 30 2009 Alexey Shentzev <ashen@altlinux.ru> 0.9.28-alt4
- added helpoptions.xml for default configurations.

* Fri Oct 30 2009 Alexey Shentzev <ashen@altlinux.ru> 0.9.28-alt3
- Build lazarus-docs in html. Including subpackage lazarus-tools in package lazarus.

* Wed Oct 28 2009 Alexey Shentzev <ashen@altlinux.ru> 0.9.28-alt2
- added LRS_Explorer & integration in lazarus-ide.
- added RxNew & PowerPDF components.
- patching lazdatadesktop.
- patching RxNew backport.

* Tue Oct 20 2009 Alexey Shentzev <ashen@altlinux.ru> 0.9.28-alt1
- New version build.

* Wed Sep 30 2009 Grigory Batalov <bga@altlinux.ru> 0.9.26.2-alt4
- Don't strip precompiled objects (ALT #20428).

* Fri Sep 11 2009 Grigory Batalov <bga@altlinux.ru> 0.9.26.2-alt3
- Require libXext-devel as well (ALT #19592).
- Build lazdatadesktop (ALT #20664, ashen@).
- Replace DejaVu fonts requirement with Terminus one (ALT #21139).
- Add RxNew and PowerPDF components (ashen@).
- Add default configs (ALT #21291, ashen@).
- Add man pages.

* Wed Aug 05 2009 Grigory Batalov <bga@altlinux.ru> 0.9.26.2-alt2
- Fix build on x86_64.

* Thu Jul 02 2009 Alexey Shentzev <ashen@altlinux.ru> 0.9.26.2-alt1.1
- update spec

* Sun Apr 19 2009 Afanasov Dmitry <ender@altlinux.org> 0.9.26.2-alt1
- 0.9.26.2
- require fpc >= 2.2.2.
- patch:
  + merge fix-desktop and alt-font patches to alt-changes patch
- spec changes:
  + force english messages when compiling
  + pack sources as tar
- don't install absent manpages

* Sun Apr 05 2009 Alexey Rusakov <ktirf@altlinux.org> 0.9.24-alt3.4
- finally closing ALT Bug 17531
- fixed ALT Bug 16207
- fixed Repocop-reported bugs in the .desktop file.
- catch-up to alt3.3 changelog:
  + rx components are not built since their build fails on x86_64

* Tue Mar 31 2009 Alexey Rusakov <ktirf@altlinux.org> 0.9.24-alt3.3
- NMU (thanks to mike@):
  + fixed #19350 (suppressed extra requirements of examples subpackage)
  + spec cleanup

* Sat Oct 11 2008 Alexey Shentzev <ashen@altlinux.ru> 0.9.24-alt3.2
- fix bug 17531

* Wed Sep 10 2008 Alexey Shentzev <ashen@altlinux.ru> 0.9.24-alt3.1
- add BuildRequires libXext-devel

* Tue Apr 08 2008 Alexey Shentzev <ashen@altlinux.ru> 0.9.24-alt3
- build with bigide

* Thu Apr 03 2008 Alexey Shentzev <ashen@altlinux.ru> 0.9.24-alt2.3.2
- add russian descriptions
- fix bugs #14516, #14390

* Fri Dec 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.9.24-alt2.3.1
- fix optimization flags (s,OG,O1, s,Og,Os,)

* Fri Dec 07 2007 Alexey Shentzev <ashen@altlinux.ru> 0.9.24-alt2.3
- add call fpcmake -r
- Thanks Slava Dubrovskiy <dubrsl@altlinux.org> for help

* Mon Dec 03 2007 Alexey Shentzev <ashen@altlinux.ru> 0.9.24-alt2.2
- really added requirement on fpc-src

* Mon Dec 03 2007 Alexey Shentzev <ashen@altlinux.ru> 0.9.24-alt2.1
- restore require for fpc-src

* Wed Nov 28 2007 Alexey Shentzev <ashen@altlinux.ru> 0.9.24-alt1
- New version build
- fixed bugs 13256
- Thanks Sergey Bolshakov <sbolshakov@altlinux.ru> for help and patching

* Mon Oct 15 2007 Alexey Shentzev <ashen@altlinux.ru> 0.9.22-alt1.1
- fixed bug #13052

* Wed Aug 08 2007 Alexey Shentzev <ashen@altlinux.ru> 0.9.22-alt1
- first buid for sisyphus
- Thanks Slava Dubrovskiy <dubrsl@altlinux.org> for help
